View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0010199CMakeModulespublic2010-01-29 03:452010-11-05 12:09
ReporterMarcel Loose 
Assigned ToMarcel Loose 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product VersionCMake-2-8 
Target VersionCMake 2.8.3Fixed in VersionCMake 2.8.3 
Summary0010199: FindSubversion: mismatch between code and documentation
DescriptionThere are two mismatches between the code and the documentation in FindSubversion:

1) The variable <var-prefix>_WC_ROOT is documented, but is not set.

2) The documentation doesn't mention the existence of a second macro
Subversion_WC_LOG, and erroneously mentions that Subversion_WC_INFO sets
the variable <var-prefix>_WC_LAST_CHANGED_LOG. This variable is called
<var-prefix>_LAST_CHANGED_LOG and is set by Subversion_WC_LOG.

I've added a patch that solves these issues.
TagsNo tags attached.
Attached Filespatch file icon FindSubversion.cmake.wc_info.patch [^] (2,473 bytes) 2010-01-29 03:45 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0022041)
David Cole (manager)
2010-08-31 17:00

We will not be addressing this for the upcoming CMake 2.8.3 release.

(Unless the existing module maintainer responds, or a new one comes forward to take up the mantle...)
(0022207)
Marcel Loose (developer)
2010-09-13 07:43

Applied the patch.

- Issue History
Date Modified Username Field Change
2010-01-29 03:45 Marcel Loose New Issue
2010-01-29 03:45 Marcel Loose File Added: FindSubversion.cmake.wc_info.patch
2010-08-31 17:00 David Cole Note Added: 0022041
2010-09-13 03:58 Marcel Loose Assigned To => Marcel Loose
2010-09-13 03:58 Marcel Loose Status new => assigned
2010-09-13 07:43 Marcel Loose Note Added: 0022207
2010-09-13 07:44 Marcel Loose Status assigned => resolved
2010-09-13 08:19 David Cole Fixed in Version => CMake 2.8.3
2010-09-13 08:19 David Cole Target Version => CMake 2.8.3
2010-11-05 12:09 Marcel Loose Status resolved => closed
2010-11-05 12:09 Marcel Loose Resolution open => fixed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker